Syncfusion AI Assistant

How can I help you?

Skeleton

6 Feb 20264 minutes to read

The Shimmer is a placeholder that animates a shimmer effect to let users know that the page’s content is loading at the moment.
In other terms, it simulates the layout of page content while loading the actual content.

<div id="skeletonCircle"></div>
<script>
var skeletonObj = new Skeleton({ shape: 'Circle', width: "2rem" });
skeletonObj.appendTo("#skeletonCircle");
</script>

Properties

cssClass string

Defines single/multiple classes (separated by space) to be used for customization of Skeleton.

Defaults to ””

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

height string|number

Defines the height of the Skeleton.
Height is not required when shape is “Circle” and “Square”.

Defaults to ””

label string

Defines the ‘aria-label’ for Skeleton accessibility.

Defaults to “Loading…”

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to ’’

shape string|SkeletonType

Defines the shape of the Skeleton.

    <div id='skeleton'></div>
import { Skeleton } from '@syncfusion/ej2-notifications';

let skeleton: Skeleton = new Skeleton({
    shape: 'Circle',
    width: '48px'
});

skeleton.appendTo('#skeleton');

Defaults to SkeletonType.Text

shimmerEffect string|ShimmerEffect

Defines the animation effect of the Skeleton.

    <div id='skeleton'></div>
import { Skeleton } from '@syncfusion/ej2-notifications';

let skeleton: Skeleton = new Skeleton({
    shape: 'Circle',
    width: '48px',
    shimmerEffect: 'Pulse'
});

skeleton.appendTo('#skeleton');

Defaults to ShimmerEffect.Wave

visible boolean

Defines the visibility state of Skeleton.

Defaults to true

width string|number

Defines the width of the Skeleton.
Width will be prioritized and used as dimension when shape is “Circle” and “Square”.

Defaults to ””

Methods

addEventListener

Adds the handler to the given event listener.

Parameter Type Description
eventName string A String that specifies the name of the event
handler Function Specifies the call to run when the event occurs.

Returns void

appendTo

Appends the control within the given HTML element

Parameter Type Description
selector (optional) string | HTMLElement Target element where control needs to be appended

Returns void

dataBind

When invoked, applies the pending property changes immediately to the component.

Returns void

destroy

Method to destroys the Skeleton component.

Returns void

getRootElement

Returns the route element of the component

Returns HTMLElement

refresh

Applies all the pending property changes and render the component again.

Returns void

removeEventListener

Removes the handler from the given event listener.

Parameter Type Description
eventName string A String that specifies the name of the event to remove
handler Function Specifies the function to remove

Returns void

Inject

Dynamically injects the required modules to the component.

Parameter Type Description
moduleList Function[] ?

Returns void

Syncfusion AI Assistant

How can I help you?

SkeletonComponent

23 Sep 20252 minutes to read

Represents the Vue Skeleton component

<ejs-skeleton></ejs-skeleton>

Properties

cssClass string

Defines single/multiple classes (separated by space) to be used for customization of Skeleton.

Defaults to ””

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

height string|number

Defines the height of the Skeleton.
Height is not required when shape is “Circle” and “Square”.

Defaults to ””

label string

Defines the ‘aria-label’ for Skeleton accessibility.

Defaults to “Loading…”

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to ’’

shape string|SkeletonType

Defines the shape of the Skeleton.

<template>
    <ejs-skeleton shape='Circle' width='48px'></ejs-skeleton>
</template>

<script>
    import Vue from 'vue';
    import { SkeletonPlugin } from '@syncfusion/ej2-vue-notifications';

    Vue.use(SkeletonPlugin);

    export default { }
</script>

Defaults to SkeletonType.Text

shimmerEffect string|ShimmerEffect

Defines the animation effect of the Skeleton.

<template>
    <ejs-skeleton shape='Circle' width='60px' shimmerEffect='Pulse'></ejs-skeleton>
</template>

<script>
    import Vue from 'vue';
    import { SkeletonPlugin } from '@syncfusion/ej2-vue-notifications';

    Vue.use(SkeletonPlugin);

    export default { }
</script>

Defaults to ShimmerEffect.Wave

visible boolean

Defines the visibility state of Skeleton.

Defaults to true

width string|number

Defines the width of the Skeleton.
Width will be prioritized and used as dimension when shape is “Circle” and “Square”.

Defaults to ””

Methods

destroy

Method to destroys the Skeleton component.

Returns void

Syncfusion AI Assistant

How can I help you?

SkeletonComponent

23 Sep 20251 minute to read

Represents the React Skeleton component

<SkeletonComponent></SkeletonComponent>

Properties

cssClass string

Defines single/multiple classes (separated by space) to be used for customization of Skeleton.

Defaults to ””

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

height string|number

Defines the height of the Skeleton.
Height is not required when shape is “Circle” and “Square”.

Defaults to ””

label string

Defines the ‘aria-label’ for Skeleton accessibility.

Defaults to “Loading…”

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to ’’

shape string|SkeletonType

Defines the shape of the Skeleton.

import * as React from 'react';
import './style.css';
import { SkeletonComponent } from '@syncfusion/ej2-react-notifications';

export default function App() {
  return (
    <div>
      <SkeletonComponent shape='Circle' width='48px'></SkeletonComponent>
    </div>
  );
}

Defaults to SkeletonType.Text

shimmerEffect string|ShimmerEffect

Defines the animation effect of the Skeleton.

import * as React from 'react';
import './style.css';
import { SkeletonComponent } from '@syncfusion/ej2-react-notifications';

export default function App() {
  return (
    <div>
      <SkeletonComponent shape='Circle' width='48px' shimmerEffect='Pulse'></SkeletonComponent>
    </div>
  );
}

Defaults to ShimmerEffect.Wave

visible boolean

Defines the visibility state of Skeleton.

Defaults to true

width string|number

Defines the width of the Skeleton.
Width will be prioritized and used as dimension when shape is “Circle” and “Square”.

Defaults to ””

Methods

destroy

Method to destroys the Skeleton component.

Returns void

HelpBot Assistant

How can I help you?

SkeletonComponent

23 Sep 20252 minutes to read

Represents the Angular Skeleton component

<ejs-skeleton></ejs-skeleton>

Properties

cssClass string

Defines single/multiple classes (separated by space) to be used for customization of Skeleton.

Defaults to ””

enablePersistence boolean

Enable or disable persisting component’s state between page reloads.

Defaults to false

enableRtl boolean

Enable or disable rendering component in right to left direction.

Defaults to false

height string|number

Defines the height of the Skeleton.
Height is not required when shape is “Circle” and “Square”.

Defaults to ””

label string

Defines the ‘aria-label’ for Skeleton accessibility.

Defaults to “Loading…”

locale string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to ’’

shape string|SkeletonType

Defines the shape of the Skeleton.

    <ejs-skeleton [shape]='shape' width='48px'></ejs-skeleton>
import { Component } from '@angular/core';
import { SkeletonType } from '@syncfusion/ej2-angular-notifications';

@Component({
    selector: 'app-root',
    templateUrl: 'app.component.html',
    encapsulation: ViewEncapsulation.None
})

export class AppComponent { 
    public shape:SkeletonType = 'Circle'
}

Defaults to SkeletonType.Text

shimmerEffect string|ShimmerEffect

Defines the animation effect of the Skeleton.

    <ejs-skeleton shape='Circle' width='48px' [shimmerEffect]='effect'></ejs-skeleton>
import { Component } from '@angular/core';
import { ShimmerEffect } from '@syncfusion/ej2-angular-notifications';

@Component({
    selector: 'app-root',
    templateUrl: 'app.component.html',
    encapsulation: ViewEncapsulation.None
})

export class AppComponent { 
    public effect: ShimmerEffect='Pulse';
}

Defaults to ShimmerEffect.Wave

visible boolean

Defines the visibility state of Skeleton.

Defaults to true

width string|number

Defines the width of the Skeleton.
Width will be prioritized and used as dimension when shape is “Circle” and “Square”.

Defaults to ””

Methods

destroy

Method to destroys the Skeleton component.

Returns void